## farpd 0.2

=== debian/changelog ===
farpd (0.2-13) unstable; urgency=medium

  * Team upload.
  * d/rules: simplify dh overrides
  * d/rules: rename from arpd to farpd with correct verbosity
  * d/p/0004: Fix undeclared strlcat() from libdumbnet
  * d/p/0005: Don't override CFLAGS (Closes: #1119411)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Wed, 29 Oct 2025 21:51:20 +0100

farpd (0.2-12) unstable; urgency=medium

  * Team upload.
    Closes: #1086760

  [ Andreas Tille ]
  * Move package to Package Salvage team
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Rely on pre-initialized dpkg-architecture variables.
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Drop dependency on transitional package libpcap-dev.
  * Short dh
  * Enable hardening options

  [ наб ]
  * systemd unit
    Closes: #1039197

  [ Paul Beyleveld ]
  * Run on interface with no IP address
    Closes: #542307

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 26 Nov 2024 11:17:59 +0100

farpd (0.2-11.4) unstable; urgency=medium

  * Non-maintainer upload
  * Send response to unicast instead of broadcast address (Closes: #698842)
  * d/copyright: Convert to machine-readable format and add missing licenses
    (Closes: #1072185)
  * d/control: Correct Standards-Version
  * d/control: Add missing comma
  * d/rules: Add missing dh_autoreconf_clean call

 -- Bastian Germann <bage@debian.org>  Wed, 29 May 2024 22:34:32 +0000

farpd (0.2-11.3) unstable; urgency=medium

  * Non-maintainer upload
  * Prevent searching for libevent.a (Closes: #1051291)

 -- Bastian Germann <bage@debian.org>  Tue, 05 Sep 2023 22:05:19 +0200

farpd (0.2-11.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1043155)
  * Run dh_autoreconf

  [ Helmut Grohne ]
  * Fix FTCBFS: Fix gnutype vs multiarch confusion (Closes: #999882)

 -- Bastian Germann <bage@debian.org>  Thu, 17 Aug 2023 22:18:37 +0000

farpd (0.2-11.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #998942).

 -- Marcos Talau <talau@debian.org>  Wed, 02 Nov 2022 19:34:16 -0300

farpd (0.2-11) unstable; urgency=low

  * configure.in: Fix FTBFS: configure: error: libevent not found with the
    patch provided by Sebastian Ramacher (Closes: #676066)
  * debian/rules: Use DEB_BUILD_MULTIARCH instead of DEB_BUILD_GNU_TYPE so
    that libevent.a is found in the correct place.
  * debian/control: Update maintainer's name and email
  * debian/farpd.init: Add dependency on $remote_fs (lintian error)
  * debian/compat: Use debhelper compatibility version 7

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 18 Jun 2012 19:04:19 +0200

farpd (0.2-10) unstable; urgency=low

  * Remove code using event_gotsig and event_sigcb, this external integers
    are deprecated and no longer defined in newer versions of libevent
    (Closes: #559012)
  * Fix LSB header, farpd requires $network and $syslog

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 10 Dec 2009 02:38:17 +0100

farpd (0.2-9) unstable; urgency=low

  * Describe in the manpage known issues with nmap as described in Honeyd's
    forums. More specifically at
    http://honeyd.org/phpBB2/viewtopic.php?t=473&sid=8be0cc5c1edeb38458d41c15df04bbc0

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Thu, 15 May 2008 00:15:59 +0200

farpd (0.2-8) unstable; urgency=low

  * Provide an LSB-complaint init.d script even if disabled by default
    (Closes: #384320)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  1 Dec 2006 02:15:47 +0100

farpd (0.2-7) unstable; urgency=low

  * Recompile against latest libevent-dev (1.0b) and libdumbnet-dev (1.8)
    (Closes: #294398)
  * Build-Depend against libpcap0.8-dev | libpcap-dev

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 18 Jan 2005 16:50:55 +0100

farpd (0.2-6) unstable; urgency=low

  * Lintian fixes:
    - Updated Standard-Versions
    - Changelog is now UTF-8
  * Fix FTBFS in gcc 3.4 with patch from Andreas Jochens  (Closes: #258857)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  5 Aug 2004 20:15:16 +0200

farpd (0.2-5) unstable; urgency=low

  * "The day after the tragedy" release
    Esta versión está dedicada a todos aquellos que perdieron
    sus vidas o fueron heridos en el brutal atentado terrorista
    en Madrid de ayer. Mis más sinceras condolencias a sus familias
    y amigos en este triste día.
   (This release is dedicated to all those who lost their lives
    or were injured in the brutal terrorist attack in Madrid
    yesterday. My deepest condolences to their families and friends on
    this sorrowful day.)
  * Arpd name changed in manpage to farpd and changed PID file location
  from /var/run/arpd.pid to /var/run/farpd.pid (Closes #237488)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 12 Mar 2004 08:43:27 +0100

farpd (0.2-4) unstable; urgency=low

  * Recompiled with latest versions of libdumbevent and libevent
    (Closes: #219665)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  9 Nov 2003 17:07:36 +0100

farpd (0.2-3) unstable; urgency=low

  * This is the "I will repeat 100 times: 'I should ldd my binaries
    before uploading'" release
  * Added libevent-dev to Build-Depends (Closes: #200819)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 11 Jul 2003 18:39:09 +0200

farpd (0.2-2) unstable; urgency=low

  * Added  libdumbnet-dev and  libpcap-dev to build-depends (Closes: #199938)
  * Fixed the configure.in script so that it calls dumbnet instead of
    dnet.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  4 Jul 2003 11:01:20 +0200


