=== debian/control ===
Source: farpd
Section: net
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper-compat (= 13),
               libdumbnet-dev,
               libpcap0.8-dev,
               libevent-dev, 
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/salvage-team/farpd
Vcs-Git: https://salsa.debian.org/salvage-team/farpd.git

Package: farpd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fake ARP user space daemon
 This ARP daemon replies to any ARP request for a set of IP addresses
 with the hardware MAC address of one of the interfaces of the
 server after determining that no other host in the network is claiming
 that IP.
 .
 This enables a single host to claim all unassigned addresses on a
 LAN for network monitoring or simulation purposes.
