=== debian/rules ===
#!/usr/bin/make -f

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

# Change from arpd to farpd
execute_after_dh_auto_install:
	find debian/farpd -type f -name "arpd*" -exec sh -xc 'mv "$$0" "$${0%/*}/f$${0##*/}"' {} \;

override_dh_installinit:
	dh_installinit -pfarpd --no-start -r -- stop 20 0 6 .
